package com.cch_lab.android.apply.prototype.tinybasic.syntax.item;

import com.cch_lab.android.apply.prototype.tinybasic.syntax.AbstractSyntax;
import com.cch_lab.android.apply.prototype.tinybasic.syntax.SyntaxPattern;
import com.cch_lab.android.apply.prototype.tinybasic.syntax.SyntaxPatterns;


/**
 * (文字列型)変数型宣言・構文木.
 * <p>
 *     (文字列型)変数型宣言を表す構文木です。
 * </p>
 */
public class DefineStringVariable extends AbstractSyntax {
    /**
     * デフォルト・コンストラクタ.
     */
    public DefineStringVariable() {
    }

    @Override
    public SyntaxPatterns getSyntaxPatterns() {
        return new SyntaxPatterns(
            new SyntaxPattern(SyntaxPattern.Pattern.NONE),
            new SyntaxPattern(SyntaxPattern.Pattern.EXIST,
                    StringKeyword.class),
            new SyntaxPattern(SyntaxPattern.Pattern.EXIST,
                    Variable.class)
        );
    }
}
