package com.cch_lab.android.apply.prototype.tinybasic.syntax.item;

import com.cch_lab.android.apply.prototype.tinybasic.syntax.AbstractSyntax;
import com.cch_lab.android.apply.prototype.tinybasic.syntax.SyntaxPattern;
import com.cch_lab.android.apply.prototype.tinybasic.syntax.SyntaxPatterns;


/**
 * (組込関数)print・構文木.
 * <p>
 *     (組込関数)printを表す構文木です。
 * </p>
 */
public class PrintFunction extends AbstractSyntax {
    /**
     * デフォルト・コンストラクタ.
     */
    public PrintFunction() {
    }

    @Override
    public SyntaxPatterns getSyntaxPatterns() {
        return new SyntaxPatterns(
            new SyntaxPattern(SyntaxPattern.Pattern.NONE),
            new SyntaxPattern(SyntaxPattern.Pattern.EXIST,
                    PrintKeyword.class),
            new SyntaxPattern(SyntaxPattern.Pattern.EXIST,
                    OperationBothParentheses.class)
        );
    }
}
