package com.cch_lab.android.apply.prototype.tinybasic.syntax.item;

import com.cch_lab.android.apply.prototype.tinybasic.syntax.AbstractSyntax;
import com.cch_lab.android.apply.prototype.tinybasic.syntax.SyntaxPattern;
import com.cch_lab.android.apply.prototype.tinybasic.syntax.SyntaxPatterns;


/**
 * プログラム・構文木.
 * <p>
 *    プログラムを表す構文木です。
 * </p>
 */
public class Program extends AbstractSyntax {
    /**
     * デフォルト・コンストラクタ.
     */
    public Program() {
    }

    @Override
    public SyntaxPatterns getSyntaxPatterns() {
        return new SyntaxPatterns(
            new SyntaxPattern(SyntaxPattern.Pattern.NONE),
            new SyntaxPattern(SyntaxPattern.Pattern.EXIST,
                    Statements.class,
                    Statement.class),
            new SyntaxPattern(SyntaxPattern.Pattern.NONE)
        );
    }
}
