package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * ブロックコメント・トークン.
 * <p>
 *     ブロックコメントを表すトークンです。
 * </p>
 */
public class BlockCommentToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public BlockCommentToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("/\\*.*\\*/"), false);
    }
}
