package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * 同一演算子トークン.
 * <p>
 *     比較の同一演算を表すトークンです。
 * </p>
 */
public class EqualsOperatorToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public EqualsOperatorToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("=="), false);
    }
}
