package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * 大なり演算子トークン.
 * <p>
 *     比較の大なり演算を表すトークンです。
 * </p>
 */
public class GreaterThenOperatorToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public GreaterThenOperatorToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile(">"), false);
    }
}
