package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * 行コメント・トークン.
 * <p>
 *     行コメントを表すトークンです。
 * </p>
 */
public class LineCommentToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public LineCommentToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("//.*"), false);
    }
}
