package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * 論理和演算子トークン.
 * <p>
 *     論理和演算を表すトークンです。
 * </p>
 */
public class LogicalOrOperatorToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public LogicalOrOperatorToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("\\|\\|"), false);
    }
}
