package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * ブロックコメント中途・トークン.
 * <p>
 *     ブロックコメント中途を表すトークンです。
 * </p>
 */
public class MiddleBlockCommentToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public MiddleBlockCommentToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(
                Pattern.compile(".*"),
                false,
                BeginBlockCommentToken.class, MiddleBlockCommentToken.class);
    }
}
