package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * ー演算子トークン.
 * <p>
 *     ー演算を表すトークンです。
 * </p>
 */
public class MinusOperatorToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public MinusOperatorToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("-"), false);
    }
}
