package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * 不等演算子トークン.
 * <p>
 *     比較の不等演算を表すトークンです。
 * </p>
 */
public class NotEqualsOperatorToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public NotEqualsOperatorToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("!="), false);
    }
}
