package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * ％演算子トークン.
 * <p>
 *     ％演算を表すトークンです。
 * </p>
 */
public class ReminderOperatorToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public ReminderOperatorToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("%"), false);
    }
}
