package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * 区切り演算子トークン.
 * <p>
 *     演算区切りを表すトークンです。
 * </p>
 */
public class SeparateOpratorToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public SeparateOpratorToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile(","), false);
    }
}
