package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * 終端演算子トークン.
 * <p>
 *     演算終端を表すトークンです。
 * </p>
 */
public class TerminalOperatorToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public TerminalOperatorToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile(";"), false);
    }
}
