package com.cch_lab.android.apply.prototype.tinybasic.command;

/**
 * コマンド実行時例外.
 * <p>
 *     コマンドの実行時例外を提供するクラスです。
 * </p>
 */
public class CommandRuntimeException extends RuntimeException {

    /**
     * コンストラクタ.
     * @param message メッセージ
     */
    public CommandRuntimeException(String message) {
        super(message);
    }

    /**
     * コンストラクタ.
     * @param message  メッセージ
     * @param original 発生元の例外
     */
    public CommandRuntimeException(String message, Throwable original) {
        super(message, original);
    }
}
