package com.cch_lab.android.apply.prototype.tinybasic.syntax.item;

import com.cch_lab.android.apply.prototype.tinybasic.syntax.AbstractSyntax;
import com.cch_lab.android.apply.prototype.tinybasic.syntax.SyntaxPattern;
import com.cch_lab.android.apply.prototype.tinybasic.syntax.SyntaxPatterns;


/**
 * (組込関数)input・構文木.
 * <p>
 *     (組込関数)inputを表す構文木です。
 * </p>
 */
public class InputFunction extends AbstractSyntax {
    /**
     * デフォルト・コンストラクタ.
     */
    public InputFunction() {
    }

    @Override
    public SyntaxPatterns getSyntaxPatterns() {
        return new SyntaxPatterns(
            new SyntaxPattern(SyntaxPattern.Pattern.NONE),
            new SyntaxPattern(SyntaxPattern.Pattern.EXIST,
                    InputKeyword.class),
            new SyntaxPattern(SyntaxPattern.Pattern.EXIST,
                    BlankParentheses.class)
        );
    }
}
