package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * (整数型)数値リテラル・トークン.
 * <p>
 *     (整数型)数値リテラルを表すトークンです。
 * </p>
 */
public class IntegerNumberLiteralToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public IntegerNumberLiteralToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("[1-9][0-9]*"), false);
    }
}
