package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * 小なりイコール演算子トークン.
 * <p>
 *     比較の小なりイコール演算を表すトークンです。
 * </p>
 */
public class LessEqualsOperatorToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public LessEqualsOperatorToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("<="), false);
    }
}
