package com.cch_lab.android.apply.prototype.tinybasic.token.item;

import com.cch_lab.android.apply.prototype.tinybasic.token.AbstractToken;
import com.cch_lab.android.apply.prototype.tinybasic.token.TokenPattern;

import java.util.regex.Pattern;

/**
 * (左)丸括弧トークン.
 * <p>
 *     (左)丸括弧を表すトークンです。
 * </p>
 */
public class OpenParenthesesToken extends AbstractToken {
    /**
     * デフォルト・コンストラクタ.
     */
    public OpenParenthesesToken() {
    }

    @Override
    public TokenPattern getTokenPattern() {
        return new TokenPattern(Pattern.compile("\\("), false);
    }
}
